function runscript()
	if (getflag(FLAG_MOLE_GOT_MAD) == FLAG_OFF) then
		wait(20);
		sound("trip", 3);
		setanim("mole", 1, 0, 2, 30, 1);
		setgravity("mole", 2);
		createnpc("exclam", 40, 10.5);
		jump("mole", -2);
		setdir(0);
		wait(10);
		setanim("mole", 1, 0, 2, 5, 1);
		wait(50);
		speaker("mole");
		say("W-|W-|W-|W-|What?!");
		say("Our|| secret|| weakness?!");
		say("How did you know you could just jump up there by pressing the [Jump] button?!");
		say("There|| must be a...|||| mole...|||| leaking information from the inside..||!");
		say("||||||Hmm...");
		wait(10);
		destroy("exclam");
		wait(50);
		setanim("mole", 1, 0, 2, 30, 1);
		wait(20);
		say("Oh.||||/nWell,|| just don't tell anyone else, okay?!");
		wait(20);
		setanim("mole", 0, 0, 2, 30, 1);
		setflag(FLAG_MOLE_GOT_MAD, FLAG_ON);
		setdir(1);
	end
end